Bug 799127 - [abrt] pitivi-0.15.0-1.fc16: effects.py:354:addEffectElement:TypeError: unknown type GstFraction
[abrt] pitivi-0.15.0-1.fc16: effects.py:354:addEffectElement:TypeError: unkno...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:586569c3b308fd0d17e9c0e4eb5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 15:24 EST by Onuralp SEZER
Modified: 2013-02-13 11:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:03:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Onuralp SEZER 2012-03-01 15:24:37 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/pitivi
comment:        I'm trying to add video effect and I get crash report then I contiune use pitivi but then it will stuck
executable:     /usr/bin/pitivi
kernel:         3.2.7-1.fc16.x86_64
reason:         effects.py:354:addEffectElement:TypeError: unknown type GstFraction
time:           Thu 01 Mar 2012 22:23:19 EET
uid:            1000
username:       onuralp

backtrace:
:effects.py:354:addEffectElement:TypeError: unknown type GstFraction
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/clipproperties.py", line 334, in _dragDropCb
:    self.timeline_objects)
:  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 1784, in addEffectFactoryOnObject
:    obj.addTrackObject(copy_track_obj)
:  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 430, in addTrackObject
:    self.emit("track-object-added", obj)
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 151, in emit
:    *args, **kwargs)
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 126, in emit
:    res = cb(*ar, **kw)
:  File "/usr/share/pitivi/python/pitivi/timeline/timeline_undo.py", line 462, in _timelineObjectTrackObjectAddedCb
:    self.effect_properties_tracker.addEffectElement(element)
:  File "/usr/share/pitivi/python/pitivi/effects.py", line 354, in addEffectElement
:    properties[prop.name] = gst_element.get_property(prop.name)
:TypeError: unknown type GstFraction
:
:Local variables in innermost frame:
:gst_element: <__main__.GstAspectRatioCrop object (effect) at 0x50690a0>
:self: <pitivi.effects.EffectGstElementPropertyChangeTracker instance at 0x3c87a28>
:properties: {'async-handling': False, 'name': 'effect', 'message-forward': False}
:prop: <GstParamFraction 'aspect-ratio'>

smolt_data:
:
:
:General
:=================================
:UUID: c62faff5-46b7-4f9e-8bb8-0f9c03bba978
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 5053.92
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 2809
:System Swap: 4863
:Vendor: Hewlett-Packard
:System: HP Pavilion dv6 Notebook PC 059B110000243010010020100
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4156:5194) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4156:5194) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:15152:4156:5194) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4156:5194) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4156:5194) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4156:5194) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(6164:12432:4156:5203) pci, rt2800pci, NETWORK, RT3090 Wireless 802.11n 1T/1R PCIe
:(32902:15164:4156:5194) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4156:5194) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4156:5194) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11521:4156:5194) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4156:5194) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(4332:33128:4156:5194) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:70:4156:5194) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4156:5194) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4156:5194) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4156:5194) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4156:5194) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43616:4156:5194) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4156:5194) pci, radeon, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(32902:11537:4156:5194) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4156:5194) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4156:5194) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4156:5194) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv_root / ext4 4096 4096 13081819 9910194 9254834 3276800 2847188 2847188
:/dev/sda3 /boot ext4 1024 1024 508745 408947 383347 128016 127743 127743
:/dev/mapper/vg_fedora-lv_home /home ext4 4096 4096 11093653 3339362 2783535 2779840 2742148 2742148
:/dev/sdb1 WITHHELD ext4 4096 4096 243946986 213133115 200923584 61054976 61036832 61036832
:/dev/sdc1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 Gwyn Ciesla 2012-03-27 14:06:03 EDT
Does this crash with the 0.15.0-3 in updates-testing?
Comment 2 Onuralp SEZER 2012-03-27 18:04:45 EDT
Still same version ? If I enable the "update-testing repo ? 

#yum install pitivi --enablerepo=updates-testing
Loaded plugins: langpacks, presto, refresh-packagekit
updates-testing/metalink                                |  19 kB     00:00     
updates-testing                                         | 4.5 kB     00:00     
updates-testing/primary_db                              | 1.0 MB     01:00     
updates-testing/group_gz                                | 431 kB     00:26     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pitivi.noarch 0:0.15.0-1.fc16 will be installed
--> Processing Dependency: gnonlin >= 0.10.16 for package: pitivi-0.15.0-1.fc16.noarch
--> Processing Dependency: pygoocanvas for package: pitivi-0.15.0-1.fc16.noarch
--> Processing Dependency: frei0r-plugins for package: pitivi-0.15.0-1.fc16.noarch
--> Processing Dependency: python-zope-interface for package: pitivi-0.15.0-1.fc16.noarch
--> Running transaction check
---> Package frei0r-plugins.x86_64 0:1.3-4.fc16 will be installed
--> Processing Dependency: libgavl.so.1()(64bit) for package: frei0r-plugins-1.3-4.fc16.x86_64
---> Package gnonlin.x86_64 0:0.10.17-1.fc16 will be installed
---> Package pygoocanvas.x86_64 0:0.14.1-4.fc15 will be installed
--> Processing Dependency: goocanvas >= 0.14 for package: pygoocanvas-0.14.1-4.fc15.x86_64
--> Processing Dependency: libgoocanvas.so.3()(64bit) for package: pygoocanvas-0.14.1-4.fc15.x86_64
---> Package python-zope-interface.x86_64 0:3.6.1-8.fc15 will be installed
--> Running transaction check
---> Package gavl.x86_64 0:1.2.0-1.fc16 will be installed
--> Processing Dependency: libgdither.so.1()(64bit) for package: gavl-1.2.0-1.fc16.x86_64
---> Package goocanvas.x86_64 0:1.0.0-1.fc16 will be installed
--> Running transaction check
---> Package libgdither.x86_64 0:0.6-3.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================
 Package                    Arch        Version              Repository   Size
===============================================================================
Installing:
 pitivi                     noarch      0.15.0-1.fc16        fedora      2.0 M
Installing for dependencies:
 frei0r-plugins             x86_64      1.3-4.fc16           fedora      356 k
 gavl                       x86_64      1.2.0-1.fc16         fedora      2.5 M
 gnonlin                    x86_64      0.10.17-1.fc16       fedora       62 k
 goocanvas                  x86_64      1.0.0-1.fc16         fedora      136 k
 libgdither                 x86_64      0.6-3.fc15           fedora       18 k
 pygoocanvas                x86_64      0.14.1-4.fc15        fedora       55 k
 python-zope-interface      x86_64      3.6.1-8.fc15         fedora      116 k

Transaction Summary
===============================================================================
Install       8 Packages

Total download size: 5.3 M
Installed size: 5.3 M
Is this ok [y/N]:
Comment 3 Gwyn Ciesla 2012-03-27 21:45:14 EDT
It's not been pushed yet, but you can grab it from koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=309993
Comment 4 Fedora End Of Life 2013-01-16 09:48:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 11:03:06 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.